class Admin::CertificateCategoriesController < OrbitMemberController

	def index
	end

	def new
		@certificate_category = CertificateCategory.new
		@url = admin_certificate_categories_path
	end

	def edit
		@certificate_category = CertificateCategory.find(params[:id])
		@url = admin_certificate_category_path(@certificate_category)
	end

	def create
		certificate_category = CertificateCategory.create(certificate_category_params)
		@certificate_categories = CertificateCategory.all
	end

	def update
		certificate_category = CertificateCategory.find(params[:id]) rescue nil
		if !certificate_category.nil?
			certificate_category.update_attributes(certificate_category_params)
		end
		@certificate_categories = CertificateCategory.all
	end

	def destroy
		certificate_category = CertificateCategory.find(params[:id]) rescue nil
		if !certificate_category.nil?
			certificate_category.destroy
		end
		@certificate_categories = CertificateCategory.all
	end

	private 

	def certificate_category_params
		params.require(:certificate_category).permit!
	end

end